为什么在eclipse上报错

问题描述

为什么在eclipse上报错

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
public class WrongDest extends HttpServlet {
public void doGet(HttpServletRequest request,
HttpServletResponse response)
throws ServletException,IOException{
String userAgent= request.getHeader("User-Agent");
if((userAgent !=null)) && (userAgent.indexOf("MSIE") !=-1){
response.sendRedirect("http:://www.baidu,com");
} else{
response.sendRedirect("http://ww.sogou.com");

}
}
}

解决方案

要看完整的代码和错误消息才能判断。

解决方案二:

response.sendRedirect("http:://www.baidu,com"); //http后面多了一个冒号

解决方案三:

时间: 2024-05-26 05:45:58

为什么在eclipse上报错的相关文章

eclipse报错-JAVA程序编程成CLASS文件后能在CMD运行,但是无法运行ECLIPSE。

问题描述 JAVA程序编程成CLASS文件后能在CMD运行,但是无法运行ECLIPSE. JAVA程序编程成CLASS文件后能在CMD运行,但是无法运行ECLIPSE,报错 解决方案 具体是哪里错了,有截图吗 解决方案二: 直接将该程序的源代码复制到eclipse某项目的src下再运行该程序 解决方案三: http://jingyan.baidu.com/article/15622f247de105fdfcbea5c9.html 解决方案四: 是无法运行ECLIPSE还是代码在ECLIPSE上报

用64位Juno 64位 SP1环境替换原来的Juno 32位 启动Eclipse报错

64位Eclipse运行时提示"Failed to load the JNI shared library \Java\jre6\bin\client\jvm.dll"的一个解决方案 由于开发环境改变,改用64位Juno 64位 SP1环境替换了原来的Juno 32位.结果启动Eclipse报错: "Failed to load the JNI shared library "E:\2000\Java\JDK6\bin\..jre\bin\client\jvm.dl

eclipse报错-Eclipse报错,不知道怎么解决

问题描述 Eclipse报错,不知道怎么解决 请教各位,有谁知道这个错误怎么解决?谢谢 解决方案 启动配置引用不存在的项目Hello 在properites里面把错误的项目删了 应该就好了 解决方案二: 对于更新androidSDK后,eclipse报错ADT问题的解决解决eclipse报错: CreateProcess error=87

Android开发中Eclipse报错及对应处理方法总结_Android

本文较为详细的总结了Android开发中Eclipse报错及对应处理方法.分享给大家供大家参考,具体如下: 报错1: Conversion to Dalvik format failed with error 1 报错原因:原因是我在android工程中不小心多导入Java的mina,结果一跑程序就报这个错误. 解决方法:将Java中用到的mina包移除,就OK了. 小结:以后遇到这种报错时,记得提醒自己可能是由于自己导错包了. 附: 网上其他处理方法:<丢失Android系统库或者Conver

mvc iis-asp.net mvc 5 部署到windows server 2012服务器的iis8上报错,求解

问题描述 asp.net mvc 5 部署到windows server 2012服务器的iis8上报错,求解 "/"应用程序中的服务器错误. 目录不存在. 参数名: directoryVirtualPath 说明: 执行当前 Web 请求期间,出现未经处理的异常.请检查堆栈跟踪信息,以了解有关该错误以及代码中导致错误的出处的详细信息. 异常详细信息: System.ArgumentException: 目录不存在. 参数名: directoryVirtualPath 源错误: 执行当

ruby-watit 在 firefox上报错

问题描述 watit 在 firefox上报错 #encoding:utf-8 require 'rubygems' require 'watir-webdriver' b = Watir::Browser.new :firefox text_site = 'http://www.baidu.com' context = '百度首页' b.speed = :fast b.goto text_site b.text_field(:name => 'wd').set 'ruby' b.button(

apache总数自动挂掉,附上报错日志,求大神啊!!

问题描述 apache总数自动挂掉,附上报错日志,求大神啊!! [Fri Jan 15 19:14:35.434536 2016] [mpm_winnt:notice] [pid 3636:tid 348] AH00363: Child: Terminating 80 threads that failed to exit. [Fri Jan 15 19:14:35.434536 2016] [mpm_winnt:notice] [pid 3636:tid 348] AH00364: Child

技术-关于用eclipse做gwt开发时,应用启动后,eclipse报错

问题描述 关于用eclipse做gwt开发时,应用启动后,eclipse报错 Could not stop source viewer server. java.lang.ExceptionInInitializerError at com.google.gdt.eclipse.platform.jetty.JettyServer.initLogging(JettyServer.java:40) at com.google.gdt.eclipse.platform.jetty.JettyServ

我换了个1.6的jdk,打开eclipse时报错说jdk版本低

问题描述 我换了个1.6的jdk,打开eclipse时报错说jdk版本低 解决方案 http://jingyan.baidu.com/article/f3ad7d0f07bf6d09c2345b77.html 解决方案二: 你的编辑器用的版本太高了,换低的肯定出错,在preference里面设置一下.